Subject: Ticket Assigned - Complain 8398840894
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 24 Aug 2020 09:22:57 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complain 8398840894 I don’t recommend this centerpoint Kuwait at all, doing online shopping with 5 items, then only receiving one! After showing on stock, then all of a sudden I call to check where is the rest of the order, the customer service told me that I have a voucher because it was cancelled!!! Then the customer service advises that the items are in stock but the app is not updated, so better to use the website for shopping and I did and for the second time the amount is captured then I felt I need to call call the customer Center to make sure the already will be delivered ( I never do this step with online shopping) and I was surprised that the order is cancelled again due to technical error that again I have no idea about!!!, and when I asked the customer service (Dania) what to do she asked me to make the transaction for the third time again!! And when I asked what is the complaints number, she advised they have no complaints department!! That’s really unprofessional and centerpoint is not protecting customers and doent have a customer good experience. No I need to know what to do with my order??? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1418713